/*
 * @Author       : ChenJie
 * @Date         : 2021-12-20 14:48:17
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2021-12-27 16:11:07
 * @Description  : 应用层can协议转换
 * @FilePath     : \VehicleControl\VehicleControl\src\System\Vehicle\Communication\BleCanProtocolFunc.h
 */
/*
 * CanProtocol.h
 *can协议转换
 *  Created on: 2021年12月20日
 *      Author: QiXiang_CHENJIE
 */
#include "Std_Types.h"
#include "CanVar.h"
#ifndef SYSTEM_VEHICLE_CANPROTOCOL_H_
#define SYSTEM_VEHICLE_CANPROTOCOL_H_
void Can0Encode(UINT32 ID, UINT8 *rawData);
void Can0Decode(UINT32 ID, UINT8 *rawData);
void Can0RxDiagnose(void);

void Can1Encode(UINT32 ID, UINT8 *rawData);
void Can1Decode(UINT32 ID, UINT8 *rawData);
void Can1RxDiagnose(void);
#endif /* SYSTEM_VEHICLE_CANPROTOCOL_H_ */
